EventBufferEvent::sslGetCipherVersion
EventBufferEvent::sslRenegotiate
EventBufferEvent
PHP Manual

# EventBufferEvent::sslGetProtocol

(PECL event >= 1.10.0)

EventBufferEvent::sslGetProtocol — Returns the name of the protocol used for current SSL connection.

### Description

public string EventBufferEvent::sslGetProtocol ( void )

Returns the name of the protocol used for current SSL connection.

> Note:

> This function is available only if Event is compiled with OpenSSL support.

### Parameters

This function has no parameters.

### Return Values

Returns the name of the protocol used for current SSL connection.

EventBufferEvent::sslGetCipherVersion
EventBufferEvent::sslRenegotiate
EventBufferEvent
PHP Manual